ROFI-RBW(1)

NAME
rofi-rbw - A rofi frontend for the alternative Bitwarden client rbw

SYNOPSIS

rofi-rbw [-h] [--version] [--action {type,copy,print}] [--target {username,password,totp,OTHER}] [--prompt PROMPT] [--selector-args SELECTOR_ARGS] [--clipboarder CLIPBOARDER] [--typer TYPER] [--selector SELECTOR] [--clear-after NUMBER] [--typing-key-delay NUMBER] [--action-sequence-delay NUMBER] [--no-help] [--display-fields DISPLAY_FIELDS] [--keybindings KEYBINDINGS] [--menu-keybindings MENU_KEYBINDINGS] [--use-notify-send]

DESCRIPTION
Type, copy or print your credentials from Bitwarden using rofi.

OPTIONS

-h, --help
    Prints brief usage information.

--version
    show program’s version number and exit

--action, -a
    Possible values: type, copy, print

            Choose what to do with the selected characters: Directly type them with the "Typer", copy them to the clipboard using the "Clipboarder", or "print" them on stdout

--target, -t
    Possible values: username, password, totp, notes, number, cardholder, brand, expiry, code, CUSTOM FIELD NAME, menu

            Choose which component of the selected entry to type/copy/print. Can be passed multiple times to use multiple targets.
            Not all entries have all fields.
            `menu` is a special value to open the target menu.

--prompt PROMPT, -r PROMPT
    Set the text for the prompt.

--keybindings KEYBINDINGS
    Format: ::.

            Define your own keybindings. Multiple keybindings can be concatenated with `,`; multiple targets for one shortcut can be concatenated with `:`.
            The pattern is `<shortcut>:<action>:<target>`, where `shortcut` is your desired keybinding, `action` is one of `--action`, `target` is one of `--target`.
            This feature is only available in supported \"selectors\" (currently only rofi).

--menu-keybindings KEYBINDINGS
    Format: :.

            Define your own keybindings for the target menu. Multiple keybindings can be concatenated with `,`.
            This feature is only available in supported \"selectors\".

--clear-after SECONDS
    Clear the password from the clipboard after SECONDS seconds. Set to 0 to disable.

--typing-start-delay MILLISECONDS
    Set a small delay before typing starts. 0 by default.

--typing-key-delay MILLISECONDS
    Set a small delay between keypresses when typing. 0 by default.

--action-sequence-delay MILLISECONDS
    Define the duration in milliseconds to wait for a delay step in a keybinding sequence (e.g. Alt+c:copy:username:delay:password). It applies to both type and copy actions. 1000 by default.

--no-cache
    Disable the automatic frecency cache. It contains sha1-hashes of the selected entries and how often they were used.

--no-help
    Don’t show the help message about available keyboard shortcuts.

--display-fields DISPLAY_FIELDS
    Possible values: name_only, name_with_folder, folder, user, uri

            Ordered list of fields to show in the selection list, given as separate arguments (e.g. `--display-fields name_only user`).
            `name_with_folder` renders as `folder/name`.
            Defaults to `name_with_folder,user`.

--no-folder (deprecated)
    Don’t show folders in the list of possible entries. Superseded by --display-fields. Translates to --display-fields name_only user.

--selector-args SELECTOR-ARGS
    A string of arguments to give to the selector.

--selector SELECTOR
    Possible values: rofi, wofi

            Choose the selector application manually. Usually `rofi`, but for Wayland, you may want `wofi`.

--clipboarder CLIPBOARDER
    Possible values: xsel, xclip, wl-copy

            Choose the application to access the clipboard with manually.

--typer TYPER
    Possible values: xdotool, wtype, ydotool, dotool

            Choose the application to type with manually.

--use-notify-send
    Send a desktop notification after each field is copied (e.g. “username copied to clipboard”).

DEFAULT KEYBINDINGS
enter to use the default action

alt+c to copy the password

alt+u to copy the username

alt+t to copy the TOTP

alt+m to show a menu of the entry’s components

alt+s to sync the contents of the vault

alt+1 to autotype username and password, separated with a tab character

alt+2 to type the username

alt+3 to type the password

Please note that wofi does not support keybindings other than enter.

CONFIGURATION
Args that start with “--” (eg. --version) can also be set in a config file.

Config file syntax allows: key=value, flag=true, stuff=[a,b,c]. If an arg is specified in more than one place, then commandline values override values from the config file.

FILES

~/.cache/rofi-rbw.runcache
    Saves the number pf times an entry has been used, so that they can be sorted first. Entries are hashed with sha1 so as not to leak any secrets.

WEBSITE
https://github.com/fdw/rofi-rbw

AUTHORS
Fabian Winter.